Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api
Interface ServerStatus

    public interface ServerStatus

This `ServerStatus` takes charge of recording a Report Server's information in the whole Server Cluster.

Method Summary
`java.lang.String` | `getHost()` Gets the physical IP address of the specified Report Server.
`int` | `getMemberID()` Gets the specified server's member id in the cluster.
`java.lang.String` | `getName()` Gets the specified Report Server's alias name.
`int` | `getPort()` Gets running RMI port number of the specified Report Server.
`java.lang.String` | `getStatus()` Gets the specified Report Server's status.
`java.lang.String` | `getType()` Gets Report Server's type in a Cluster.
`boolean` | `isStarted()` Judges whether or not the specified Report Server is started now.

Method Detail

### getName

    java.lang.String getName()

  Gets the specified Report Server's alias name.

  Returns:
    the specified Report Server's alias name.

### getMemberID

    int getMemberID()

  Gets the specified server's member id in the cluster.

  Returns:
    the specified server's member id, return -1 if it is not clustered server.

### getStatus

    java.lang.String getStatus()

  Gets the specified Report Server's status.

  Returns:
    The Report Server's status.

### getHost

    java.lang.String getHost()

  Gets the physical IP address of the specified Report Server.

  Returns:
    The Report Server's host IP address.

### getPort

    int getPort()

  Gets running RMI port number of the specified Report Server.

  Returns:
    The Report Server's port number.

### getType

    java.lang.String getType()

  Gets Report Server's type in a Cluster.

  Returns:
    The Report Server's type.

### isStarted

    boolean isStarted()

  Judges whether or not the specified Report Server is started now.

  Returns:
    true if the Report Server is started, or else return false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD